#
# spec file for package toshiba-sleep-prot-suse (Version 1.0)
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.suse.com
#

Name:           toshiba-sleep-prot-suse
Summary:        Toshiba Sleep Protect Kernel Module Package
Version:        1.0
Release:        2.2
Source0:        %{name}-%{version}.tar.bz2
Source1:        preamble
License:        GPL-2.0
Group:          System/Kernel
BuildRequires:  %kernel_module_package_buildreqs
Url:            http://www.toshibagcs.com
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      ibm-sleep-prot-suse11
Obsoletes:      toshiba-sleep-prot-suse11
Provides:       ibm-sleep-prot-suse11
Provides:       toshiba-sleep-prot-suse11

%kernel_module_package -p %_sourcedir/preamble -x xen

%description
This is the toshiba sleep protect kernel module package. it can be
used to prevent the system transitioning to s1,s3,s4 while a process
is performing firmware upgrade of a motherboard or attached device. it
provides a sysfs interface for allowing or disallowing sleep.


%package KMP
Summary:        Toshiba Sleep Protect Kernel Module
Group:          System/Kernel

%description KMP
This is the Toshiba Sleep Protect Kernel Module Package. It can be used to prevent the
system transitioning to S1,S3,S4 while a process is performing firmware upgrade of a
motherboard or attached device. It provides a sysfs interface for allowing or disallowing
sleep.


%prep
%setup
set -- *
mkdir source
mv "$@" source/
echo "sleep-prot.ko external" > source/Module.supported
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=%{kernel_module_package_moddir}
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/obj/$flavor
done

chmod -x source/COPYING source/README


%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc source/COPYING 
%doc source/README

%changelog
* Tue Nov 25 2014 sbahling@suse.com
- Repackage with name change (bnc#901363)
- SUSE based spec file with proper license header
- Package name change from toshiba-sleep-prot-suse11 to
  toshiba-sleep-prot-suse
- Add preamble with proper Obsoletes and Provides for package name
  change
- Install README and COPYING under standard package doc location.
- Update License tag to SPDX standard (GPL-2.0)
* Wed Jun 12 2013 poswald@suse.com
-Initial SUSE PLDP build of the Toshiba sleep-protection driver v1.0
